OTP::Layer::pdu Class Reference

The pdu class. More...

`#include <base.h>`

Inheritance diagram for OTP::Layer::pdu:
[legend]

## Public Member Functions

size_t | streamSize () const override
| pdu::streamSize More...
void | iStream (PDU::Stream) override
| pdu::iStream More...
void | oStream (PDU::Stream) const override
| pdu::oStream More...
Public Member Functions inherited from OTP::PDU::pdu
| pdu ()
| pdu::pdu
| ~pdu ()
| pdu::~pdu
Stream | stream ()
| pdu::stream More...
template<class T >
void | createData ()
| createData
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

base_footer | footer
| footer
Public Attributes inherited from OTP::PDU::pdu
pdu_data * | data = nullptr
| data Message
uint16_t | vector = 0
| vector
Pdu | parent
| parent Message

## Additional Inherited Members

Protected Attributes inherited from OTP::PDU::pdu
Stream | stream_
| buffer

## Detailed Description

The pdu class.

## Member Function Documentation

## iStream()

void OTP::Layer::pdu::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

pdu::iStream

Parameters

  stream |

Reimplemented from OTP::PDU::pdu.

Here is the call graph for this function:

## oStream()

void OTP::Layer::pdu::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

pdu::oStream

Parameters

  stream |

Reimplemented from OTP::PDU::pdu.

Here is the call graph for this function:

## streamSize()

size_t OTP::Layer::pdu::streamSize | ( |  | ) | const

overridevirtual

pdu::streamSize

Returns

Reimplemented from OTP::PDU::pdu.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.cpp